Loading...
Searching...
No Matches
novas_transform Struct Reference
Observing frames

A transformation between two astronomical coordinate systems for the same observer location and time. More...

`#include <novas.h>`

## Data Fields

struct novas_frame | frame
| The observer place and time for which the transform is valid.
enum novas_reference_system | from_system
| The original coordinate system.
struct novas_matrix | matrix
| Transformation matrix elements.
enum novas_reference_system | to_system
| The final coordinate system.

## Detailed Description

A transformation between two astronomical coordinate systems for the same observer location and time.

This allows for more elegant, generic, and efficient coordinate transformations than the low-level NOVAS functions.

The transformation can be (should be) initialized via novas_make_transform(), or via novas_invert_transform().

Since
  1.1

See also
  novas_make_transform(), novas_invert_transform(), NOVAS_TRANSFORM_INIT
  novas_transform_vector(), novas_transform_sky_pos()

The documentation for this struct was generated from the following file:

- /build/supernovas-Ly00hg/supernovas-1.5.1/include/novas.h